[Pkg-libvirt-commits] [SCM] Libvirt debian packaging branch, master, updated. debian/0.6.2-2

Guido Günther agx at sigxcpu.org
Thu Apr 16 14:06:23 UTC 2009


The following commit has been merged in the master branch:
commit a2e4cb0f0bd0030b19b88292bb9ed7e33f475c9a
Author: Guido Günther <agx at sigxcpu.org>
Date:   Thu Apr 16 14:56:15 2009 +0200

    don't rely on log_end_msg returning 0
    
    this isn't the case with splashy.
    
    Closes: #523712

diff --git a/debian/libvirt-bin.init b/debian/libvirt-bin.init
index 28d7051..bc39d08 100755
--- a/debian/libvirt-bin.init
+++ b/debian/libvirt-bin.init
@@ -31,8 +31,6 @@ if [ -f /etc/default/libvirt-bin ] ; then
 	. /etc/default/libvirt-bin
 fi
 
-set -e
-
 check_start_libvirtd_option() {
   if [ ! "$start_libvirtd" = "yes" ]; then
     log_warning_msg "Not starting libvirt management daemon libvirtd, disabled via /etc/default/libvirt-bin"
@@ -100,12 +98,16 @@ case "$1" in
 		rm -f /var/run/libvirtd.pid
 		start-stop-daemon --start --quiet --pidfile $PIDFILE \
 			--exec $DAEMON -- $libvirtd_opts
-		running && log_end_msg 0 || log_end_msg 1
+		if running; then
+			log_end_msg 0
+		else
+			log_end_msg 1
+		fi
 	fi
 	;;
   stop)
 	log_daemon_msg "Stopping $DESC" "$NAME"
-       	if ! running ;  then
+	if ! running ;  then
            	log_progress_msg "not running"
             	log_end_msg 0
             	exit 0
@@ -116,8 +118,12 @@ case "$1" in
 	;;
   force-stop)
 	log_daemon_msg "Forcefully stopping $DESC" "$NAME"
-        force_stop
-        ! running && log_end_msg 0 || log_end_msg 1
+	force_stop
+	if ! running; then
+		log_end_msg 0
+	else
+		log_end_msg 1
+	fi
 	;;
   restart)
 	if check_start_libvirtd_option; then
@@ -127,7 +133,11 @@ case "$1" in
 		[ -n "$DODTIME" ] && sleep $DODTIME
 		start-stop-daemon --start --quiet --pidfile \
 			/var/run/$NAME.pid --exec $DAEMON -- $libvirtd_opts
-		running && log_end_msg 0 || log_end_msg 1
+		if running; then
+			log_end_msg 0
+		else
+			log_end_msg 1
+		fi
 	fi
 	;;
   reload|force-reload)

-- 
Libvirt debian packaging



More information about the Pkg-libvirt-commits mailing list